package sun.awt.image;

import java.awt.image.ColorModel;
import java.awt.image.ImageConsumer;

public class PixelStore32 extends PixelStore {
   public PixelStore32() {
   }

   public PixelStore32(int var1, int var2) {
      super(var1, var2);
   }

   public PixelStore32(int var1, int var2, ColorModel var3) {
      this.setDimensions(var1, var2);
      ((PixelStore)this).setColorModel(var3);
   }

   public void setDimensions(int var1, int var2) {
      super.setDimensions(var1, var2);
   }

   Object allocateLines(int var1) {
      return new int[var1 * super.width];
   }

   void replayLines(ImageConsumer var1, int var2, int var3, Object var4) {
      var1.setPixels(0, var2, super.width, var3, super.colormodel, (int[])var4, super.offsets[var2], super.width);
   }
}
