package sun.awt.macos;

import java.awt.Graphics;
import java.awt.PrintGraphics;
import java.awt.PrintJob;

public class MPrintGraphics extends MacGraphics implements PrintGraphics {
   PrintJob pjob;

   MPrintGraphics(MacGraphics var1) {
      super(var1);
   }

   public MPrintGraphics(MPrintJob var1) {
      super(var1);
      this.pjob = var1;
   }

   public PrintJob getPrintJob() {
      return this.pjob;
   }

   public Graphics create() {
      MPrintGraphics var1 = new MPrintGraphics(this);
      var1.foreground = super.foreground;
      var1.font = super.font;
      var1.originX = super.originX;
      var1.originY = super.originY;
      var1.pjob = this.pjob;
      return var1;
   }
}
