package sun.awt.macos;

import java.awt.datatransfer.DataFlavor;
import java.awt.datatransfer.Transferable;
import java.awt.datatransfer.UnsupportedFlavorException;
import java.util.Enumeration;
import java.util.Hashtable;

public class MacClipboardContents implements Transferable {
   Hashtable hashtable = new Hashtable();

   public synchronized void addTransferData(DataFlavor var1, Object var2) {
      if (var2 != null) {
         this.hashtable.put(var1, var2);
      }

   }

   public boolean isDataFlavorSupported(DataFlavor var1) {
      return this.hashtable.containsKey(var1);
   }

   public DataFlavor[] getTransferDataFlavors() {
      Enumeration var2 = this.hashtable.keys();
      DataFlavor[] var1 = new DataFlavor[this.hashtable.size()];

      for(int var3 = 0; var3 < this.hashtable.size(); ++var3) {
         var1[var3] = (DataFlavor)var2.nextElement();
      }

      return var1;
   }

   public Object getTransferData(DataFlavor var1) throws UnsupportedFlavorException {
      if (!this.hashtable.containsKey(var1)) {
         throw new UnsupportedFlavorException(var1);
      } else {
         return this.hashtable.get(var1);
      }
   }
}
