package sun.awt.windows;

import java.awt.Dialog;
import java.awt.SystemColor;
import java.awt.Window;
import java.awt.event.WindowEvent;
import java.awt.peer.DialogPeer;
import sun.awt.Modality;

class WDialogPeer extends WWindowPeer implements DialogPeer {
   Modality m_modality;

   WDialogPeer(Dialog var1) {
      super(var1);
   }

   native void create(WComponentPeer var1);

   void initialize() {
      super.initialize();
      Dialog var1 = (Dialog)super.target;
      if (var1.getTitle() != null) {
         ((WWindowPeer)this).setTitle(var1.getTitle());
      }

      ((WWindowPeer)this).setResizable(var1.isResizable());
   }

   public void show() {
      super.show();
      ((WComponentPeer)this).postEvent(new WindowEvent((Window)super.target, 200));
      if (((Dialog)super.target).isModal()) {
         try {
            this.m_modality = new Modality();
            this.m_modality.enter();
         } catch (InterruptedException var2) {
            ((Dialog)super.target).hide();
         } catch (ThreadDeath var3) {
            ((Dialog)super.target).hide();
            ((Dialog)super.target).removeNotify();
            throw (ThreadDeath)((Throwable)var3).fillInStackTrace();
         }
      }
   }

   public void hide() {
      super.hide();
      if (((Dialog)super.target).isModal() && this.m_modality != null) {
         this.m_modality.exit();
      }

   }

   private void setDefaultColor(boolean var1) {
      SystemColor var2 = var1 ? SystemColor.control : SystemColor.window;
      ((Dialog)super.target).setBackground(var2);
   }
}
