package sun.awt.windows;

import java.awt.Menu;
import java.awt.MenuBar;
import java.awt.MenuContainer;
import java.awt.MenuItem;
import java.awt.peer.MenuPeer;

class WMenuPeer extends WMenuItemPeer implements MenuPeer {
   public native void addSeparator();

   public void addItem(MenuItem var1) {
      WMenuItemPeer var10000 = (WMenuItemPeer)WToolkit.targetToPeer(var1);
   }

   public native void delItem(int var1);

   WMenuPeer() {
   }

   WMenuPeer(Menu var1) {
      super.target = var1;
   }

   void create() {
      MenuContainer var1 = ((Menu)super.target).getParent();
      if (var1 instanceof MenuBar) {
         WMenuBarPeer var3 = (WMenuBarPeer)WToolkit.targetToPeer(var1);
         this.createMenu(var3);
      } else if (var1 instanceof Menu) {
         WMenuPeer var2 = (WMenuPeer)WToolkit.targetToPeer(var1);
         this.createSubMenu(var2);
      } else {
         throw new IllegalArgumentException("unknown menu container class");
      }
   }

   native void createMenu(WMenuBarPeer var1);

   native void createSubMenu(WMenuPeer var1);
}
