package sun.awt;

import sun.io.CharToByteConverter;

public class FontDescriptor {
   String nativeName;
   public CharToByteConverter fontCharset;
   int[] exclusionRanges;

   public FontDescriptor(String var1, CharToByteConverter var2, int[] var3) {
      this.nativeName = var1;
      this.fontCharset = var2;
      this.exclusionRanges = var3;
   }

   public boolean isExcluded(char var1) {
      for(int var2 = 0; var2 < this.exclusionRanges.length; ++var2) {
         int var3 = this.exclusionRanges[var2] >> 16 & '\uffff';
         int var4 = this.exclusionRanges[var2] & '\uffff';
         if (var1 >= var3 && var1 <= var4) {
            return true;
         }
      }

      return false;
   }
}
