package sun.awt.image;

import java.io.BufferedInputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;

public class FileImageSource extends InputStreamImageSource {
   String imagefile;

   public FileImageSource(String var1) {
      SecurityManager var2 = System.getSecurityManager();
      if (var2 != null) {
         var2.checkRead(var1);
      }

      this.imagefile = var1;
   }

   final boolean checkSecurity(Object var1, boolean var2) {
      return true;
   }

   protected ImageDecoder getDecoder() {
      BufferedInputStream var1;
      try {
         SecurityManager.enablePrivilege("UniversalFileRead");
         var1 = new BufferedInputStream(new FileInputStream(this.imagefile));
         SecurityManager.revertPrivilege();
      } catch (FileNotFoundException var2) {
         return null;
      }

      return ((InputStreamImageSource)this).getDecoder(var1);
   }
}
