package sun.awt.image;

import java.awt.image.ColorModel;
import java.awt.image.ImageConsumer;

public class PixelStore8 extends PixelStore {
   public PixelStore8() {
   }

   public PixelStore8(int var1, int var2) {
      super(var1, var2);
   }

   public PixelStore8(int var1, int var2, ColorModel var3) {
      this.setDimensions(var1, var2);
      ((PixelStore)this).setColorModel(var3);
   }

   public void setDimensions(int var1, int var2) {
      super.setDimensions(var1, var2);
   }

   Object allocateLines(int var1) {
      return var1 * super.width > 1000000 ? null : new byte[var1 * super.width];
   }

   void replayLines(ImageConsumer var1, int var2, int var3, Object var4) {
      var1.setPixels(0, var2, super.width, var3, super.colormodel, (byte[])var4, super.offsets[var2], super.width);
   }
}
