package sun.awt.macos;

import java.awt.Button;
import java.awt.Dimension;
import java.awt.FontMetrics;
import java.awt.event.ActionEvent;
import java.awt.peer.ButtonPeer;

class MButtonPeer extends MComponentPeer implements ButtonPeer {
   MButtonPeer(Button var1) {
      super(var1);
   }

   native void create(MComponentPeer var1);

   public native void setLabel(String var1);

   public Dimension minimumSize() {
      FontMetrics var1 = ((MComponentPeer)this).getFontMetrics(super.target.getFont());
      return new Dimension(var1.stringWidth(((Button)super.target).getLabel()) + 25, var1.getHeight() + 7);
   }

   public void handleKeyEvent(int var1, int var2, int var3, int var4, int var5, boolean var6, int var7) {
      if (var3 == 10) {
         if (var6) {
            this.handleAction();
            return;
         }
      } else {
         super.handleKeyEvent(var1, var2, var3, var4, var5, var6, var7);
      }

   }

   public void handleAction() {
      MToolkit.postEvent(new ActionEvent(super.target, 1001, ((Button)super.target).getActionCommand()));
   }

   public boolean isFocusTraversable() {
      return true;
   }
}
