package sun.awt.macos;

import java.awt.MenuItem;
import java.awt.event.ActionEvent;
import java.awt.peer.MenuItemPeer;

class MMenuItemPeer extends MObjectPeer implements MenuItemPeer {
   boolean isCheckItem;
   MenuItem target;

   MMenuItemPeer() {
   }

   MMenuItemPeer(MenuItem var1) {
      this.target = var1;
      this.isCheckItem = false;
   }

   private int modifiersToJavaFlags(int var1) {
      int var2 = 0;
      if ((var1 & 256) != 0) {
         var2 |= 4;
      }

      if ((var1 & 512) != 0) {
         var2 |= 1;
      }

      if ((var1 & 2048) != 0) {
         var2 |= 8;
      }

      if ((var1 & 4096) != 0) {
         var2 |= 2;
      }

      return var2;
   }

   public void handleAction(int var1) {
      MToolkit.postEvent(new ActionEvent(this.target, 1001, this.target.getActionCommand(), this.modifiersToJavaFlags(var1)));
   }

   public void setEnabled(boolean var1) {
      if (var1) {
         this.enable();
      } else {
         this.disable();
      }
   }

   public void enable() {
   }

   public void disable() {
   }

   public void dispose() {
   }

   public void setLabel(String var1) {
   }
}
