package sun.awt.macos;

import java.awt.Adjustable;
import java.awt.Dimension;
import java.awt.Scrollbar;
import java.awt.event.AdjustmentEvent;
import java.awt.peer.ScrollbarPeer;

class MScrollbarPeer extends MComponentPeer implements ScrollbarPeer {
   int mLineIncrement;
   int mPageIncrement;

   MScrollbarPeer(Scrollbar var1) {
      super(var1);
   }

   native void create(MComponentPeer var1);

   public native void setValue(int var1);

   public native void setValues(int var1, int var2, int var3, int var4);

   public Dimension minimumSize() {
      return ((Scrollbar)super.target).getOrientation() == 1 ? new Dimension(16, 50) : new Dimension(50, 16);
   }

   public void lineUp(int var1) {
      Scrollbar var2 = (Scrollbar)super.target;
      var2.setValue(var1);
      MToolkit.postEvent(new AdjustmentEvent((Adjustable)super.target, 601, 2, var1));
   }

   public void lineDown(int var1) {
      Scrollbar var2 = (Scrollbar)super.target;
      var2.setValue(var1);
      MToolkit.postEvent(new AdjustmentEvent((Adjustable)super.target, 601, 1, var1));
   }

   public void pageUp(int var1) {
      Scrollbar var2 = (Scrollbar)super.target;
      var2.setValue(var1);
      MToolkit.postEvent(new AdjustmentEvent((Adjustable)super.target, 601, 3, var1));
   }

   public void pageDown(int var1) {
      Scrollbar var2 = (Scrollbar)super.target;
      var2.setValue(var1);
      MToolkit.postEvent(new AdjustmentEvent((Adjustable)super.target, 601, 4, var1));
   }

   public void dragAbsolute(int var1) {
      Scrollbar var2 = (Scrollbar)super.target;
      var2.setValue(var1);
      MToolkit.postEvent(new AdjustmentEvent((Adjustable)super.target, 601, 5, var1));
   }

   public native void setLineIncrement(int var1);

   public native void setPageIncrement(int var1);
}
